## org.gnu.gtk.event
Class DragTargetAdapter

    java.lang.Object
      org.gnu.gtk.event.DragTargetAdapter

All Implemented Interfaces:
  DragTargetListener

public class DragTargetAdapter
extends java.lang.Object
implements DragTargetListener

Constructor Summary
`DragTargetAdapter()`

Method Summary
`void` `dataReceived(ReceiveDragDataEvent event)`
`void` `destinationLeft(LeaveDragDestinationEvent event)`
`boolean` `dropped(DropDragEvent event)`
`boolean` `motionOcurred(DragMotionEvent event)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DragTargetAdapter

    public DragTargetAdapter()

Method Detail

### destinationLeft

    public void destinationLeft(LeaveDragDestinationEvent event)

  Specified by:
    `destinationLeft` in interface `DragTargetListener`

### dropped

    public boolean dropped(DropDragEvent event)

  Specified by:
    `dropped` in interface `DragTargetListener`

### dataReceived

    public void dataReceived(ReceiveDragDataEvent event)

  Specified by:
    `dataReceived` in interface `DragTargetListener`

### motionOcurred

    public boolean motionOcurred(DragMotionEvent event)

  Specified by:
    `motionOcurred` in interface `DragTargetListener`